[project]
name = "equilibrator-cache"
description = "Cache application for compounds, reactions, and enzymes"
readme = {file = "README.md", content-type = "text/markdown"}
license = {text = "MIT License"}
authors = [{name = "Elad Noor"},{name = "Moritz E. Beber"}]
keywords = [
    "component contribution",
    "Gibbs energy",
    "biochemical reaction",
    "eQuilibrator",
    "cache"
]
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: Science/Research",
    "Topic :: Scientific/Engineering :: Bio-Informatics",
    "Topic :: Scientific/Engineering :: Chemistry",
    "License :: OSI Approved :: MIT License",
    "Natural Language :: English",
    "Operating System :: OS Independent",
    "Programming Language :: Python :: 3 :: Only",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
]
dynamic = ["version"]
requires-python = ">=3.9"
dependencies = [
    "sqlalchemy ~=2.0",
    "numpy >=2.0",
    "scipy >=1.12",
    "pandas >=2.0",
    "pyarrow ~=17.0",
    "Levenshtein ~=0.25",
    "pint ~=0.24",
    "tqdm ~=4.0",
    "appdirs ~=1.4",
    "pooch ~=1.8",
]

[project.optional-dependencies]
test = [
    "pytest",
    "pytest-cov",
    "pytest-raises",
    "pytest-mock",
    "hypothesis"
]
development = [
    "black",
    "isort",
    "flake8",
    "safety",
    "tox",
    "twine"
]
deployment = [
    "click",
    "click-log",
    "openbabel",
    "python-dateutil"
]

[project.urls]
repository = "https://gitlab.com/equilibrator/equilibrator-cache/"
documentation = "https://equilibrator.readthedocs.io/en/latest/"

[build-system]
requires = [ "setuptools>=41", "wheel", "setuptools-git-versioning>=2.0,<3", ]
build-backend = "setuptools.build_meta"

[tool.distutils.bdist_wheel]
universal = true

[tool.setuptools-git-versioning]
enabled = true

[tool.black]
exclude = '''
(
    __init__.py
)
'''

[tool.ruff]
target-version = "py312"

[tool.ruff.lint]
ignore = ["F401"]
